PHPMyadmin NOT working with php 5.4.16

Dear all.
I Just installed a freshcopy of CentOS and used install.sh to install a fresh copy of virtualmin.
Furthermore I have installed now 2 php versions.
To try out the new php version I installed the beta of J3.3 wich works fine. My issue is now that my phpmyadmin works fine with the php 5.3.3 version, but when I switch to the php version 5.4.16 and go to /phpmyadmin i get a blank page and obvious the joomla stops working. when switching back to php5.4.16 the joomla works but my /phpmadmin stops working.

as far as I understand phpmyadmin needs mcrypt could it be a maye an issue with the mcrypt module issue?
I installed it using this page:
http://www.maxwhale.com/how-to-install-mcrypt-php-extension-on-centos-virtualmin/
I did:

  1. rpm -Uvh http://ftp.rediris.es/mirror/fedora-epel/6/x86_64/epel-release-6-8.noarch.rpm
  2. yum install php-mcrypt
  3. than I installed via webmin > Software Packages> yum install
    3a. mcrypt 2.6.8-10.el6 Replacement for crypt()
    3b. php-mcrypt 5.3.3-3.el6 Standard PHP module provides mcrypt library support
    Finishing with: /etc/init.d/httpd restart

Can anybody help me out with this?
Hoping to hear from you.
good weekend.
Paco

Howdy,

Yeah, you would need to make sure you have the the mcrypt module for your PHP version installed and working. You could always look in $HOME/logs/error_log to see what errors that phpMyAdmin is throwing.

An alternative way to accomplish what you’re doing – you could always install PHP 5.4.16 and keep your distro’s PHP 5.3.3 version, using the instructions here:

https://www.virtualmin.com/documentation/web/multiplephp

If you’re running both PHP versions at the same time – you could then configure your phpMyAdmin directory to use PHP 5.3.3.

-Eric